/*
 * DateBean.java
 *
 * Created on 2007/02/16, 8:42
 *
 * To change this template, choose Tools | Template Manager
 * and open the template in the editor.
 */

package test.org.itscool.commons.dao3;

import java.util.Date;

/**
 *
 * @author ios
 */
public class DeleteChild {
    /* テーブルマッピング定義 */
    public static final String TABLE = "DELETE_CHILD";
    public static final String PK_COLUM_id = "ID";
    public static final String COLUM_name = "NAME";
    public static final String COLUM_deleteFg = "DELETE_FG";
    public static final String COLUM_deleteDt = "DELETE_DT";
    public static final String COLUM_parentId = "PARENT_ID";
    
    public static final String FK_TABLE_deleteBean = "DELETE_BEAN";
    public static final String FK_COLUM_deleteBean_parentId = "ID";
    
    private int id;
    private String name;
    private boolean deleteFg;
    private Date deleteDt;
    private DeleteBean deleteBean;
    private int parentId;
            
    public int getId() {
        return id;
    }

    public void setId(int id) {
        this.id = id;
    }

    public String getName() {
        return name;
    }

    public void setName(String name) {
        this.name = name;
    }

    public boolean getDeleteFg() {
        return deleteFg;
    }

    public void setDeleteFg(boolean deleteFg) {
        this.deleteFg = deleteFg;
    }

    public Date getDeleteDt() {
        return deleteDt;
    }

    public void setDeleteDt(Date deleteDt) {
        this.deleteDt = deleteDt;
    }

    public DeleteBean getDeleteBean() {
        return deleteBean;
    }

    public void setDeleteBean(DeleteBean deleteBean) {
        this.deleteBean = deleteBean;
    }

    public int getParentId() {
        return parentId;
    }

    public void setParentId(int parentId) {
        this.parentId = parentId;
    }

}
